## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogSchema

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
                                      org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASESchemaImpl
                                          org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogSchema

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASESchema, Schema, SQLObject, org.eclipse.datatools.sqltools.internal.refresh.ICatalogObject2, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogSchema

extends SybaseASESchemaImpl
implements org.eclipse.datatools.sqltools.internal.refresh.ICatalogObject2, org.eclipse.core.runtime.IAdaptable

Nested Class Summary
`static class` `SybaseASECatalogSchema.ASEProcedureFactory`
`static class` `SybaseASECatalogSchema.ASESysTableFactory` Factory for creating system table
`static class` `SybaseASECatalogSchema.ASEUserTableFactory` Factory for creating user defined table including proxy table and temp table
`static class` `SybaseASECatalogSchema.ASEViewTableFactory` Factroy for creating view table

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogSchema()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getDefaults()`
`org.eclipse.emf.common.util.EList` `getIndices()` Returns the value of the 'Indices' reference list.
`AuthorizationIdentifier` `getOwner()` Returns the value of the 'Owner' reference.
`java.lang.String` `getRefreshContext(java.lang.Object obj)`
`org.eclipse.emf.common.util.EList` `getRoutines()` Returns the value of the 'Routines' reference list.
`org.eclipse.emf.common.util.EList` `getRules()`
`org.eclipse.emf.common.util.EList` `getSuperIndices()`
`org.eclipse.emf.common.util.EList` `getSuperTriggers()`
`org.eclipse.emf.common.util.EList` `getTables()` Returns the value of the 'Tables' reference list.
`org.eclipse.emf.common.util.EList` `getTriggers()` Returns the value of the 'Triggers' reference list.
`org.eclipse.emf.common.util.EList` `getUserDefinedTypes()` Returns the value of the 'User Defined Types' reference list.
`void` `loadIndices(java.util.List indexWrappers, ISybaseASECatalogTable table)`
`void` `loadTriggers(java.util.List trigNames, ISybaseASECatalogTable table)`
`boolean` `needsRefresh(java.lang.String context)`
`void` `refresh()`
`void` `refresh(java.lang.String context)`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASESchemaImpl
`eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getDatabase, getEncryptionKeys, getNormalTables, getProxyTables, getSystemAndNormalTable, getSystemProcedures, getSystemTables, getViewTables, getWebServicesAsTables`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
`basicGetCatalog, basicGetDatabase, basicGetOwner, basicSetCatalog, basicSetDatabase, basicSetOwner, getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getProcedures, getSequences, getUDFs, setCatalog, setDatabase, setOwner`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Schema
`getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getProcedures, getSequences, getUDFs, setCatalog, setDatabase, setOwner`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASECatalogSchema

    public SybaseASECatalogSchema()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### refresh

    public void refresh(java.lang.String context)

  Specified by:
    `refresh` in interface `org.eclipse.datatools.sqltools.internal.refresh.ICatalogObject2`

### needsRefresh

    public boolean needsRefresh(java.lang.String context)

  Specified by:
    `needsRefresh` in interface `org.eclipse.datatools.sqltools.internal.refresh.ICatalogObject2`

### getRefreshContext

    public java.lang.String getRefreshContext(java.lang.Object obj)

  Specified by:
    `getRefreshContext` in interface `org.eclipse.datatools.sqltools.internal.refresh.ICatalogObject2`

### getOwner

    public AuthorizationIdentifier getOwner()

  Description copied from interface: `Schema`
  Returns the value of the 'Owner' reference. It is bidirectional and its opposite is '`Owned Schema`'.

  If the meaning of the 'Owner' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getOwner` in interface `Schema`
  Overrides:
    `getOwner` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Owner' reference.
  See Also:
    `Schema.setOwner(AuthorizationIdentifier)`, `SQLSchemaPackage.getSchema_Owner()`, `AuthorizationIdentifier.getOwnedSchema()`

### getTables

    public org.eclipse.emf.common.util.EList getTables()

  Description copied from interface: `Schema`
  Returns the value of the 'Tables' reference list. The list contents are of type `Table`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Tables' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getTables` in interface `Schema`
  Overrides:
    `getTables` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Tables' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Tables()`, `Table.getSchema()`

### getRoutines

    public org.eclipse.emf.common.util.EList getRoutines()

  Description copied from interface: `Schema`
  Returns the value of the 'Routines' reference list. The list contents are of type `Routine`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Routines' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getRoutines` in interface `Schema`
  Overrides:
    `getRoutines` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Routines' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Routines()`, `Routine.getSchema()`

### getUserDefinedTypes

    public org.eclipse.emf.common.util.EList getUserDefinedTypes()

  Description copied from interface: `Schema`
  Returns the value of the 'User Defined Types' reference list. The list contents are of type `UserDefinedType`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'User Defined Types' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getUserDefinedTypes` in interface `Schema`
  Overrides:
    `getUserDefinedTypes` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'User Defined Types' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_UserDefinedTypes()`, `UserDefinedType.getSchema()`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getDefaults

    public org.eclipse.emf.common.util.EList getDefaults()

  Description copied from class: `SybaseASESchemaImpl`

  Specified by:
    `getDefaults` in interface `SybaseASESchema`
  Overrides:
    `getDefaults` in class `SybaseASESchemaImpl`
  Returns:
    the value of the 'Defaults' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_Defaults()`, `SybaseASEDefault.getSchema()`

### getRules

    public org.eclipse.emf.common.util.EList getRules()

  Description copied from class: `SybaseASESchemaImpl`

  Specified by:
    `getRules` in interface `SybaseASESchema`
  Overrides:
    `getRules` in class `SybaseASESchemaImpl`
  Returns:
    the value of the 'Rules' reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASESchema_Rules()`, `SybaseASERule.getSchema()`

### getTriggers

    public org.eclipse.emf.common.util.EList getTriggers()

  Description copied from interface: `Schema`
  Returns the value of the 'Triggers' reference list. The list contents are of type `Trigger`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Triggers' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getTriggers` in interface `Schema`
  Overrides:
    `getTriggers` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Triggers()`, `Trigger.getSchema()`

### loadTriggers

    public void loadTriggers(java.util.List trigNames,
                             ISybaseASECatalogTable table)

### getIndices

    public org.eclipse.emf.common.util.EList getIndices()

  Description copied from interface: `Schema`
  Returns the value of the 'Indices' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Schema`'.

  If the meaning of the 'Indices' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getIndices` in interface `Schema`
  Overrides:
    `getIndices` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl`
  Returns:
    the value of the 'Indices' reference list.
  See Also:
    `SQLSchemaPackage.getSchema_Indices()`, `Index.getSchema()`

### loadIndices

    public void loadIndices(java.util.List indexWrappers,
                            ISybaseASECatalogTable table)

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getSuperTriggers

    public org.eclipse.emf.common.util.EList getSuperTriggers()

### getSuperIndices

    public org.eclipse.emf.common.util.EList getSuperIndices()